Package org.apache.commons.math3.optimization.fitting

# Class WeightedObservedPoint

java.lang.Object
org.apache.commons.math3.optimization.fitting.WeightedObservedPoint

All Implemented Interfaces:
  `Serializable`

@Deprecated public class WeightedObservedPoint extends Object implements Serializable
Deprecated.
As of 3.1 (to be removed in 4.0).
This class is a simple container for weighted observed point in `curve fitting`.

Instances of this class are guaranteed to be immutable.

Since:
  2.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`WeightedObservedPoint(double weight, double x, double y)`
Deprecated.
Simple constructor.

## Method Summary

Modifier and Type
Method
Description
`double`
`getWeight()`
Deprecated.
Get the weight of the measurement in the fitting process.
`double`
`getX()`
Deprecated.
Get the abscissa of the point.
`double`
`getY()`
Deprecated.
Get the observed value of the function at x.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WeightedObservedPoint

public WeightedObservedPoint(double weight, double x, double y)
Deprecated.
Simple constructor.

Parameters:
  `weight` - weight of the measurement in the fitting process
  `x` - abscissa of the measurement
  `y` - ordinate of the measurement

## Method Details

### getWeight

public double getWeight()
Deprecated.
Get the weight of the measurement in the fitting process.

Returns:
  weight of the measurement in the fitting process

### getX

public double getX()
Deprecated.
Get the abscissa of the point.

Returns:
  abscissa of the point

### getY

public double getY()
Deprecated.
Get the observed value of the function at x.

Returns:
  observed value of the function at x